curl --request POST \
--url https://api.trycurious.ai/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"anonymous_id": "anon_456",
"user_id": "user_123",
"identifiers": {
"email": "alice@example.com",
"name": "Alice"
},
"attributes": {
"plan": "pro"
}
}
'
{
"status": "success"
}
Endpoints
Identify
Link an anonymous user to a known user, or update a known user’s state.
POST
/
identify
curl --request POST \
--url https://api.trycurious.ai/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"anonymous_id": "anon_456",
"user_id": "user_123",
"identifiers": {
"email": "alice@example.com",
"name": "Alice"
},
"attributes": {
"plan": "pro"
}
}
'
{
"status": "success"
}
Authorizations
Body
application/json